Package Gnumed :: Package business :: Module gmMedication :: Class cFreeDiamsInterface |
[frames] | no frames]

# Class cFreeDiamsInterface

source code

                  object --+
                           |
    cDrugDataSourceInterface --+
                               |
                              cFreeDiamsInterface

Instance Methods
__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
get_data_source_version(self) | source code
create_data_source_entry(self) | source code
switch_to_frontend(self, blocking=False, mode='interactions') http://ericmaeker.fr/FreeMedForms/di-manual/en/html/ligne_commandes.html | source code
import_drugs(self) | source code
check_interactions(self, substance_intakes=None) | source code
show_info_on_drug(self, substance_intake=None) | source code
show_info_on_substance(self, substance_intake=None) | source code
prescribe(self, substance_intakes=None) | source code
import_fd2gm_file_as_prescription(self, filename=None) | source code
import_fd2gm_file_as_drugs(self, filename=None) If returning textual prescriptions (say, drugs which FreeDiams did not know) then "IsTextual" will be True and UID will be -1. | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| version = `u'FreeDiams v0.5.4 interface'`
| default_encoding = `'utf8'`
| default_dob_format = `'%Y/%m/%d'`
| map_gender2mf = `{'m': u'M', 'f': u'F', 'tf': u'H', 'tm': u'H',`...``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### get_data_source_version(self) | source code
Overrides: cDrugDataSourceInterface.get_data_source_version

### create_data_source_entry(self) | source code
Overrides: cDrugDataSourceInterface.create_data_source_entry

### switch_to_frontend(self, blocking=False, mode='interactions') | source code
http://ericmaeker.fr/FreeMedForms/di-manual/en/html/ligne_commandes.html Overrides: cDrugDataSourceInterface.switch_to_frontend

### import_drugs(self) | source code
Overrides: cDrugDataSourceInterface.import_drugs

### check_interactions(self, substance_intakes=None) | source code
Overrides: cDrugDataSourceInterface.check_interactions

### show_info_on_drug(self, substance_intake=None) | source code
Overrides: cDrugDataSourceInterface.show_info_on_drug

### show_info_on_substance(self, substance_intake=None) | source code
Overrides: cDrugDataSourceInterface.show_info_on_substance

### prescribe(self, substance_intakes=None) | source code
Overrides: cDrugDataSourceInterface.prescribe

Class Variable Details

  ### map_gender2mf Value:
      {'m': u'M', 'f': u'F', 'tf': u'H', 'tm': u'H', 'h': u'H'}